KWin::Info Struct Reference

`#include <kwin.h>`

## Public Member Functions

bool | isMinimized () const
bool | isIconified () const
QString | visibleNameWithState () const

## Public Attributes

WId | win
long unsigned int | state
NET::MappingState | mappingState
NETStrut | strut
NET::WindowType | windowType
QString | visibleName
QString | name
int | desktop
bool | onAllDesktops
pid_t | pid
QRect | geometry
QRect | frameGeometry

## Detailed Description

Deprecated:
  Use WindowInfo .

Definition at line 469 of file kwin.h.

## Member Function Documentation

bool KWin::Info::isMinimized | ( |  | ) | const

The mapping state.

Definition at line 1189 of file kwin.cpp.

## Member Data Documentation

int KWin::Info::desktop

The number of the window's desktop.

Definition at line 488 of file kwin.h.

QRect KWin::Info::frameGeometry

Position and size of the window's frame.

Definition at line 496 of file kwin.h.

QRect KWin::Info::geometry

Position and size of the window contents.

Definition at line 494 of file kwin.h.

QString KWin::Info::name

The name of the window.

Definition at line 486 of file kwin.h.

bool KWin::Info::onAllDesktops

true if the window is on all desktops.

Definition at line 490 of file kwin.h.

pid_t KWin::Info::pid

The process id of the window's owner.

Definition at line 492 of file kwin.h.

long unsigned int KWin::Info::state

The window's state.

Definition at line 474 of file kwin.h.

NETStrut KWin::Info::strut

The strut.

Definition at line 480 of file kwin.h.

QString KWin::Info::visibleName

The visible name of the window.

Definition at line 484 of file kwin.h.

WId KWin::Info::win

The window's id.

Definition at line 472 of file kwin.h.

NET::WindowType KWin::Info::windowType

The window type.

Definition at line 482 of file kwin.h.

The documentation for this struct was generated from the following files:

- kwin.h
- kwin.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys